summaryrefslogtreecommitdiffstats
path: root/source/xap/network-manager-applet/network-manager-applet.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-05-10 23:42:53 +0000
committer Eric Hameleers <alien@slackware.com>2023-05-11 02:57:05 +0200
commit300ecc39f6631c24ed8b2633350225af5219ddd3 (patch)
treed1e55a16589de2c09ec60f257d3b885089135d53 /source/xap/network-manager-applet/network-manager-applet.SlackBuild
parenteccdc192761f24b99b2e496e3fb76303ea6333ca (diff)
downloadcurrent-300ecc39f6631c24ed8b2633350225af5219ddd3.tar.gz
current-300ecc39f6631c24ed8b2633350225af5219ddd3.tar.xz
Wed May 10 23:42:53 UTC 202320230510234253
ap/a2ps-4.15.4-x86_64-1.txz: Upgraded. l/fmt-10.0.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/harfbuzz-7.3.0-x86_64-1.txz: Upgraded. l/libpaper-2.1.0-x86_64-1.txz: Added. This is needed by a2ps. l/mozjs102-102.11.0esr-x86_64-1.txz: Upgraded. n/nghttp2-1.53.0-x86_64-1.txz: Upgraded. x/m17n-lib-1.8.2-x86_64-1.txz: Upgraded. x/xterm-380-x86_64-1.txz: Upgraded. xap/mozilla-thunderbird-102.11.0-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/102.11.0/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2023-18/ https://www.cve.org/CVERecord?id=CVE-2023-32206 https://www.cve.org/CVERecord?id=CVE-2023-32207 https://www.cve.org/CVERecord?id=CVE-2023-32211 https://www.cve.org/CVERecord?id=CVE-2023-32212 https://www.cve.org/CVERecord?id=CVE-2023-32213 https://www.cve.org/CVERecord?id=CVE-2023-32214 https://www.cve.org/CVERecord?id=CVE-2023-32215 (* Security fix *) xap/network-manager-applet-1.32.0-x86_64-2.txz: Rebuilt. [PATCH] c-e: fix crash in import_vpn_from_file_cb() when importing VPN profiles. Thanks to Daedra.
Diffstat (limited to '')
-rwxr-xr-xsource/xap/network-manager-applet/network-manager-applet.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/xap/network-manager-applet/network-manager-applet.SlackBuild b/source/xap/network-manager-applet/network-manager-applet.SlackBuild
index f2d08f7e1..c6197b35a 100755
--- a/source/xap/network-manager-applet/network-manager-applet.SlackBuild
+++ b/source/xap/network-manager-applet/network-manager-applet.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for network-manager-applet
# Copyright 2010, 2011, 2014 Robby Workman, Northport, Alabama, USA
-# Copyyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyyright 2020, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=network-manager-applet
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -77,6 +77,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Don't crash importing .ovpn files:
+zcat $CWD/01281fae6b601598cd2006bc8f2d5be98810228d.patch.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"